UL(1)

NAME
ul - do underlining

SYNOPSIS
ul [-i] [-t terminal] [file ...]

DESCRIPTION
The ul utility reads the named files (or standard input if none are given) and translates occurrences of underscores to the sequence which indicates underlining for the terminal in use, as specified by the environment variable TERM. The file /etc/termcap is read to determine the appropriate sequences for underlining. If the terminal is incapable of underlining, but is capable of a standout mode then that is used instead. If the terminal can overstrike, or handles underlining automatically, ul degenerates to cat(1). If the terminal cannot underline, underlining is ignored.

The following options are available:

-i  Underlining is indicated by a separate line containing appropriate dashes ‘-’.

-t terminal
    Overrides the terminal type specified in the environment with terminal.

ENVIRONMENT
The LANG, LC_ALL, LC_CTYPE and TERM environment variables affect the execution of ul as described in environ(7).

EXIT STATUS

SEE ALSO
man(1), mandoc(1)

HISTORY
The ul command appeared in 3.0BSD.